## [DialogsList](COMPONENT_DIALOGS_LIST.MD) xml attributes:

| Attribute        | Description| 
| ------------- |-------------| 
| `dialogTitleTextColor` | Sets dialog title text color | 
| `dialogTitleTextSize` | Sets dialog title text size | 
| `dialogTitleTextStyle` | Sets dialog title text style (normal, bold, italic) |
| `dialogUnreadTitleTextColor` | Sets dialog title text color when has unread messages| 
| `dialogUnreadTitleTextSize` | Sets dialog title text size when has unread messages| 
| `dialogUnreadTitleTextStyle` | Sets dialog title text style (normal, bold, italic) when has unread messages|
| `dialogMessageTextColor` | Sets dialog last message text color | 
| `dialogMessageTextSize` | Sets dialog last message text size | 
| `dialogMessageTextStyle` | Sets dialog last message text style (normal, bold, italic) |
| `dialogUnreadMessageTextColor` | Sets dialog last message text color when has unread messages | 
| `dialogUnreadMessageTextSize` | Sets dialog last message text size when has unread messages | 
| `dialogUnreadMessageTextStyle` | Sets dialog last message text style (normal, bold, italic) when has unread messages |
| `dialogDateTextColor` | Sets dialog last message date (time) text color |
| `dialogDateTextSize` | Sets dialog last message date (time) text size |
| `dialogDateTextStyle` | Sets dialog last message date (time) text style (normal, bold, italic) |
| `dialogUnreadDateTextColor` | Sets dialog last message date (time) text color when has unread messages|
| `dialogUnreadDateTextSize` | Sets dialog last message date (time) text size when has unread messages|
| `dialogUnreadDateTextStyle` | Sets dialog last message date (time) text style ( normal, bold, italic) when has unread messages|
| `dialogUnreadBubbleEnabled` | Show/hide(true/false) bubble with unread messages count (default true)|
| `dialogUnreadBubbleTextColor` | Sets bubble with unread messages count text color | 
| `dialogUnreadBubbleTextSize` | Sets bubble with unread messages count text size | 
| `dialogUnreadBubbleTextStyle` | Sets bubble with unread messages count text style (normal, bold, italic) |
| `dialogUnreadBubbleBackgroundColor` | Sets background color for bubble with unread messages count| 
| `dialogAvatarWidth` | Sets dialog avatar width | 
| `dialogAvatarHeight` | Sets dialog avatar height | 
| `dialogMessageAvatarEnabled` | Show/hide (true/false) avatar of last message author. Only for goups chat.|
| `dialogMessageAvatarWidth` | Sets width for avatar of last message author| 
| `dialogMessageAvatarHeight` | Sets height for avatar of last message author| 
| `dialogDividerEnabled` | Show/hide (true/false) divider between dialogs items |
| `dialogDividerColor` | Sets color of divider between dialogs items | 
| `dialogDividerLeftPadding` | Sets left padding for divider between dialog items | 
| `dialogDividerRightPadding` | Sets right padding for divider between dialog items | 
| `dialogItemBackground` | Sets background of dialogs items| 
| `dialogItemBackground` | Sets background of dialogs items when has unread messages |

## [MessagesList](COMPONENT_MESSAGES_LIST.md) xml attributes:

| Attribute        | Description| 
| ------------- |-------------|
| `textAutoLink` | Enables links highlighting in messages with allowable modes (none, all, email, map, phone, web) |
| `incomingTextLinkColor` | Sets color for incoming links highlight |
| `outcomingTextLinkColor` | Sets color for outcoming links highlight |
| `incomingAvatarWidth` | Sets width of avatar view in incoming message | 
| `incomingAvatarHeight` | Sets height of avatar view in incoming message | 
| `incomingBubbleDrawable` | Sets custom drawable for incoming message bubble. You can set drawable selector with preseed and selected states|
| `incomingDefaultBubbleColor` | Sets color for default incoming message bubble|
| `incomingDefaultBubblePressedColor` | Sets color for default incoming message bubble on state pressed|
| `incomingDefaultBubbleSelectedColor` | Sets color for default incoming message bubble on state selected|
| `incomingImageOverlayDrawable` | Sets overlay drawable for incoming image message (use it for selector) |
| `incomingDefaultImageOverlayPressedColor` | Sets color for selected state for default outcoming image message overlay |
| `incomingDefaultImageOverlaySelectedColor` | Sets color for selected state for default incoming image message overlay |
| `incomingBubblePaddingLeft` | Sets left padding for incoming message bubble |
| `incomingBubblePaddingRight` | Sets right padding for incoming message bubble |
| `incomingBubblePaddingTop` | Sets top padding for incoming message bubble |
| `incomingBubblePaddingBottom` | Sets bottom padding for incoming message bubble |
| `incomingTextColor` | Sets incoming message text color |
| `incomingTextSize` | Sets incoming message text size |
| `incomingTextStyle` | Sets incoming message text style (normal, bold, italic) |
| `incomingTimeTextColor` | Sets incoming text message time color |
| `incomingTimeTextSize` | Sets incoming text message time size |
| `incomingTimeTextStyle` | Sets incoming text message time style (normal, bold, italic) |
| `incomingImageTimeTextColor` | Sets incoming image message time color |
| `incomingImageTimeTextSize` | Sets incoming image message time size |
| `incomingImageTimeTextStyle` | Sets incoming image message time style (normal, bold, italic) |
| `outcomingBubbleDrawable` | Sets custom drawable for incoming message bubble. You can set drawable selector with pressed and selected states|
| `outcomingDefaultBubbleColor` | Sets color for default outcoming message bubble|
| `outcomingDefaultBubblePressedColor` | Sets color for default outcoming message bubble on state pressed|
| `outcomingDefaultBubbleSelectedColor` | Sets color for default outcoming message bubble on state selected|
| `outcomingImageOverlayDrawable` | Sets overlay drawable for outcoming image message (use it for selector) |
| `outcomingDefaultImageOverlayPressedColor` | Sets color for pressed state for default outcoming image message overlay |
| `outcomingDefaultImageOverlaySelectedColor` | Sets color for selected state for default outcoming image message overlay |
| `outcomingBubblePaddingLeft` | Sets left padding for outcoming message bubble |
| `outcomingBubblePaddingRight` | Sets right padding for outcoming message bubble |
| `outcomingBubblePaddingTop` | Sets top padding for outcoming message bubble |
| `outcomingBubblePaddingBottom` | Sets bottom padding for outcoming message bubble |
| `outcomingTextColor` | Sets outcoming message text color |
| `outcomingTextSize` | Sets outcoming message text size |
| `outcomingTextStyle` | Sets outcoming message text style (normal, bold, italic) |
| `outcomingTimeTextColor` | Sets outcoming text message time color |
| `outcomingTimeTextSize` | Sets outcoming text message time size |
| `outcomingTimeTextStyle` | Sets outcoming text message time style (normal, bold, italic) |
| `outcomingImageTimeTextColor` | Sets outcoming image message time color |
| `outcomingImageTimeTextSize` | Sets outcoming image message time size |
| `outcomingImageTimeTextStyle` | Sets outcoming image message time style (normal, bold, italic) |
| `dateHeaderTextColor` | Sets date header text color |
| `dateHeaderTextSize` | Sets date header text size |
| `dateHeaderPadding` | Sets date header view padding |
| `dateHeaderFormat` | Sets java date format for date header |
| `dateHeaderTextStyle` | Sets date text style (normal, bold, italic) |

## [MessageInput](COMPONENT_MESSAGE_INPUT.MD) xml attributes:

| Attribute        | Description| 
| ------------- |-------------|
| `inputButtonBackground` | Sets background drawable for "submit" button |
| `inputButtonDefaultBgColor` | Sets normal color of default background drawable for "submit" button |
| `inputButtonDefaultBgPressedColor` | Sets pressed color of default background drawable for "submit" button |
| `inputButtonDefaultBgDisabledColor` | Sets disabled color of default background drawable for "submit" button |
| `inputButtonIcon` | Sets icon drawable for "submit" button |
| `inputButtonDefaultIconColor` | Sets normal color of default icon for "submit" button |
| `inputButtonDefaultIconPressedColor` | Sets pressed color of default icon for "submit" button |
| `inputButtonDefaultIconDisabledColor` | Sets disabled color of default icon for "submit" button |
| `inputButtonMargin` | Sets margin for "submit" button |
| `inputButtonWidth` | Sets width for "submit" button |
| `inputButtonHeight` | Sets height for "submit" button |
| `showAttachmentButton` | Shows/hides (true/false) the "attachment" button |
| `attachmentButtonBackground` | Sets background drawable for "attachment" button |
| `attachmentButtonDefaultBgColor` | Sets normal color of default background drawable for "submit" button |
| `attachmentButtonDefaultBgPressedColor` | Sets pressed color of default background drawable for "submit" button |
| `attachmentButtonDefaultBgDisabledColor` | Sets disabled color of default background drawable for "submit" button |
| `attachmentButtonIcon` | Sets icon drawable for "attachment" button |
| `attachmentButtonDefaultIconColor` | Sets normal color of default icon for "attachment" button |
| `attachmentButtonDefaultIconPressedColor` | Sets pressed color of default icon for "attachment" button |
| `attachmentButtonDefaultIconDisabledColor` | Sets disabled color of default icon for "attachment" button |
| `attachmentButtonMargin` | Sets margin for "attachment" button |
| `attachmentButtonWidth` | Sets width for "attachment" button |
| `attachmentButtonHeight` | Sets height for "attachment" button |
| `inputMaxLines` | Sets max lines for message input field |
| `inputHint` | Sets hint for message input field |
| `inputText` | Sets text in message input field|
| `inputTextSize` | Sets input message text size|
| `inputTextColor` | Sets input message text color|
| `inputHintColor` | Sets text color of hint in message input field|
| `inputBackground` | Sets background for input message view |
| `inputCursorDrawable` | Sets cursor drawable for input message EditText |
| `delayTypingStatus` | Sets delay typing for TypingListener|
